<div class="container">
  <br>
       <ol class="breadcrumb">
          <li class="breadcrumb-item active">/Liste des borne de service</li>
        </ol>
    <br>
      <br>        
        <div class="card md-6">
          <div class="card-header">
            <i class="fas fa-table"></i>
            Liste des bornes de service</div>
            <input #searchInput="ngModel" [(ngModel)]="searchText" class="form-control" type="hidden">
          <div class="card-body">
            <div class="table-responsive">
              <table class="table table-bordered">
                <thead>
                  <tr>
                    <th>id</th>
                    <th>imei</th>
                    <th>mac</th>
                    <th>type</th>
                    <th>status</th>
                    <th>action</th>
                  </tr>
                </thead>
                <tbody>
                  <ng-container *ngFor= "let t of tpe?.data; let i=index">
                  <tr *ngIf="filterCondition(t)">
                    <td>{{t.id}}</td>
                    <td>{{t.imei}}</td>
                    <td>{{t.mac}}</td>
                    <td>{{t.type}}</td>
                    <td>{{t.status}}</td>
                  <td>
                      <div class="container">                          
                        <button style="background: #4D4D4D; color: #fff" (click)="getStatus(t.id)" data-toggle="modal" data-target="#popUpWindow">Modifier</button>
                          
                          <div class="modal fade" id="popUpWindow">
                            <div class="modal-dialog">
                              <div class="modal-content">
                                <div class="modal-header">
                                  <div *ngFor="let a of etat">
                                    <form role="form" [formGroup]="this.serviceTpe.formPut" (ngSubmit)="actualiserTpe(a.id)">
                                      <div class="form-group">
                                         <input type="text" [(ngModel)]="a.imei" id="imei" class="form-control" formControlName="imei">
                                         <input type="text" [(ngModel)]="a.mac" id="mac" class="form-control" formControlName="mac">
                                         <input type="text" [(ngModel)]="a.type" id="type" class="form-control" formControlName="type">

                                         <select class="form-control" id="status" required="required" [(ngModel)]="a.status" formControlName="status">
                                            <option value="activé">Activer</option>
                                            <option value="desactivé">Désactiver</option>
                                            <option value="suspendu">Suspendu</option>
                                         </select>
                                      </div>
                                        <button class="btn btn-primary btn-block" type="submit">Modifier</button>
                                    </form>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                      </div>
                    </td>
                    <td><button style="background: #4D4D4D; color: #fff" (click)="supprimer(t.id)">Supprimer</button></td>
                  </tr>
                 </ng-container>
                </tbody>
              </table>
               <div class="alert alert-success" *ngIf="showDeleteMessage">
              Suppression réussi avec succès !
              </div>
            </div>           
          </div>
        </div> 
        <br>


         <div class="card mb-3">
          <div class="card-header">
            <i class="fas fa-table"></i>
            Historique d'activation du borne de service</div>
          <div class="card-body">
            <div class="table-responsive">
              <table class="table table-bordered">
                <thead>
                  <tr>
                    <th>id</th>
                    <th>Debut</th>
                    <th>Fin</th>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <td>test</td>
                    <td>8h30</td>
                    <td>18h</td>
                  </tr>
                  <tr>
                    <td>Rakoto</td>
                    <td>15h</td>
                    <td>17h</td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div> 
    </div>